安裝我們的應用程式 🪄 點擊地址欄右上角的 圖示。

心跳

GET https://www.am-devel.com/api/heartbeats/
curl --request GET \
--url 'https://www.am-devel.com/api/heartbeats/' \
--header 'Authorization: Bearer {api_key}' \
參數 詳細資訊 描述
page 可選的 整數 您想要結果的頁碼。預設為 1
results_per_page 可選的 整數 每頁您想要多少結果。允許的值為:10 , 25 , 50 , 100 , 250 , 500 , 1000。默認為25
{ "data": [ { "id": 1, "project_id": 0, "name": "Demo cron", "code": "12345678901112131415", "settings": { "run_interval": 1, "run_interval_type": "minutes", "run_interval_grace": 1, "run_interval_grace_type": "seconds" }, "is_ok": 1, "uptime": 75.5, "downtime": 24.5, "total_runs": 50, "total_missed_runs": 15, "last_run_datetime": "2021-03-30 19:17:22", "notifications": { "email_is_enabled": 0, "webhook": "", "slack": "", "twilio": "" }, "is_enabled": true, "datetime": "2026-09-17 13:47:05" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://www.am-devel.com/api/heartbeats?&page=1", "last": "https://www.am-devel.com/api/heartbeats?&page=1", "next": null, "prev": null, "self": "https://www.am-devel.com/api/heartbeats?&page=1" } }
GET https://www.am-devel.com/api/heartbeats/{heartbeat_id}
curl --request GET \
--url 'https://www.am-devel.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "project_id": 0, "name": "Demo cron", "code": "12345678901112131415", "settings": { "run_interval": 1, "run_interval_type": "minutes", "run_interval_grace": 1, "run_interval_grace_type": "seconds" }, "is_ok": 1, "uptime": 75.5, "downtime": 24.5, "total_runs": 50, "total_missed_runs": 15, "last_run_datetime": "2021-03-30 19:17:22", "notifications": { "email_is_enabled": 0, "webhook": "", "slack": "", "twilio": "" }, "is_enabled": true, "datetime": "2026-09-17 13:47:05" } }
POST https://www.am-devel.com/api/heartbeats
參數 詳細資訊 描述
name 必填 字串 -
run_interval 可選的 整數 -
run_interval_type 可選的 字串 允許的值:seconds, minutes, hours, days
run_interval_grace 可選的 整數 -
run_interval_grace_type 可選的 字串 允許的值:seconds, minutes, hours, days
is_ok_notifications 可選的 陣列 通知處理程序 ID
is_enabled 可選的 布林值 -
curl --request POST \
--url 'https://www.am-devel.com/api/heartbeats' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{ "data": { "id": 1 } }
POST https://www.am-devel.com/api/heartbeats/{heartbeat_id}
參數 詳細資訊 描述
name 可選的 字串 -
run_interval 可選的 整數 -
run_interval_type 可選的 字串 允許的值:seconds, minutes, hours, days
run_interval_grace 可選的 整數 -
run_interval_grace_type 可選的 字串 允許的值:seconds, minutes, hours, days
is_ok_notifications 可選的 陣列 通知處理程序 ID
is_enabled 可選的 布林值 -
curl --request POST \
--url 'https://www.am-devel.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{ "data": { "id": 1 } }
DELETE https://www.am-devel.com/api/heartbeats/{heartbeat_id}
curl --request DELETE \
--url 'https://www.am-devel.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \